#include"TcPch.h"
#pragma hdrstop
#include"IoDoor.h"
#include"DEVICE.h"
#include"debug.h"
IoDoor::IoDoor(const char* className,const char* name,const char* module):BaseDevice(className, name, module){
}
//AUTOIO_BEGIN
IoDoor* _initAGVDoor_0(){
	static IoDoor staticAGVDoor("IoDoor","AGVDoor",MODULE_NAME);
	IoDoor::poAGVDoor=&staticAGVDoor;
	IoDoor* dev=&staticAGVDoor;
	strcpy(dev->id,"AGVDoor");
	strcpy(dev->display,"AGVDoor");
	strcpy(dev->schematicId,"AGVDoor");
	strcpy(dev->unit,"");
	dev->diOpen.create("diOpen",&NDI->Door_Down_Detect,"NDI.Door_Down_Detect",TRUE);
	dev->diClose.create("diClose",&NDI->Door_Up_Detect,"NDI.Door_Up_Detect",TRUE);
	dev->doOpen.create("doOpen",&NDO->DOOr_Down,"NDO.DOOr_Down",FALSE);
	dev->doClose.create("doClose",&NDO->Door_Up,"NDO.Door_Up",FALSE);
	strcpy(dev->scRootPath,"");
	return dev;
}
void initIoDoor(){
	IoDoor* dev;
	dev=_initAGVDoor_0();
}
IoDoor* IoDoor::poAGVDoor=NULL;
//AUTOIO_END
